Help!X11 server启动不了了

为当前最终发行版之前的所有版本提供支持
回复
unisun1981
帖子: 20
注册时间: 2007-01-12 15:02
送出感谢: 0
接收感谢: 0

Help!X11 server启动不了了

#1

帖子 unisun1981 » 2007-01-17 11:43

因为ubuntu对我的显卡最多能显示到1024*768,在windows下可以到1280*800,所以我下了个NVIDIA的驱动,向自己安装看看能不能得到更好大的支持。首先下载了linux-source-2.6.15.23(我的是2.6.23.26,但是源上面没有,所以只能凑合着先用了),解压到/usr/src/下面以后,建立了linux的链接,又在/lib/modules/`uname -r`下面建立了build的软连接。安装驱动的时候,说是没有:precompiled kernel interface(大致是这样的),没有让他从网上下载,而是直接让他编译了一个驱动模块,途中一切都好,最后说是:guess the X library path "/usr/lib" and X module path "/usr/lib/xorg/modules",If X fail to find the nvidia x drive module,please install the "pkg-config" utility and the x.org SDK/development package for your distribution and reinstall the driver。
重启后,x server不能启动,当然也就进不了gnome。唉,不知道是怎么回事:下载的source有问题(我的安装的版本是XXX-amd64-generic,有对应的内核源码吗,哪里可以下载,我在kernel.org上面也没有看到)?还是nvidia对ubuntu的支持不够好?
现在我想卸掉新的驱动模块,该怎么样作?我把conf文件还原好像也不行,是不是要改动/lib/modules/下面的内容,怎么改啊?
照上面说的,安装pkg-config" utility and the x.org SDK/development package就可以了吗?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-01-17 19:27

严重错误
首先下载了linux-source-2.6.15.23(我的是2.6.23.26,但是源上面没有,所以只能凑合着先用了)

内核源码必须严格对应,另外源里有nvidia的驱动。分辨率可以试着修改xorg.conf添加(有风险)
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
unisun1981
帖子: 20
注册时间: 2007-01-12 15:02
送出感谢: 0
接收感谢: 0

#3

帖子 unisun1981 » 2007-01-18 14:06

I run the script again,and it can work now.But I don't know it's the nvidia's or default driver running.May be the nvidia's driver had been uninstalled during my second running.
another question,Is there 2.6.26-amd64-generic kernel source avialable?Because my kernel is that.And who can tell me what is the kernel image interface?
thank you!
回复

回到 “老旧版本支持”